This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 967338 - Review Request: rubygem-font-awesome-sass-rails - Font Awesome in SASS for Rails
Review Request: rubygem-font-awesome-sass-rails - Font Awesome in SASS for Rails
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2013-05-26 13:23 EDT by Anuj More
Modified: 2017-01-12 07:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anuj More 2013-05-26 13:34:24 EDT
Builds on mock: https://raw.github.com/execat/Packages/master/rpmspecs/rubygem-font-awesome-sass-rails/mock
rpmlint does not complain: 
rubygem-font-awesome-sass-rails.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Josef Stribny 2013-05-28 10:07:26 EDT
Hi Anuj,

please take a look at the sources[1] as they contain fonts, which are in general not so straightforward to package. Have a look on how the shipment of fonts should be done in Fedora[2], also considering legal issues[3, 4].

It would be good to check whether we have those fonts packaged or not, consider linking them or packaging them separately accordingly.


[1] https://github.com/littlebtc/font-awesome-sass-rails/tree/master/app/assets/fonts
[2] https://fedoraproject.org/wiki/Shipping_fonts_in_Fedora_%28FAQ%29
[3] https://fedoraproject.org/wiki/Legal_considerations_for_fonts
[4] https://fedoraproject.org/wiki/Packaging:FontsPolicy
Comment 3 Anuj More 2013-05-29 02:21:52 EDT
The fonts are covered under the SIL Open font license, which is a good license according to https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Font_Licenses

Everything else is MIT.

The fonts have not been packaged (a simple search on pkgs.fedoraproject.org reveals). So if the guidelines stress them being packaged separately, I probably should.
Comment 4 Josef Stribny 2013-05-29 08:11:07 EDT
Yes, please. It's sort of required by guidelines. Thanks.
Comment 5 Athos Ribeiro 2016-05-28 01:58:02 EDT
Informal Package Review
=======================

As mentioned before, sources contain fonts. You could break this into different packages or link the fonts, See the links in the previous comments.

- Requires for rubygems are autogenerated, they are not needed here.
- Requires: ruby(release) is not needed and Requires: ruby(rubygems) is automatically generated
You want to remove all the requires from the spec file. Check [1] for reference.

If upstream does not provide a LICENSE text file, you should contact upstream and ask them to consider adding one. See [2] for reference.

It would be nice to mark the README file with %doc [3].

Is there any reason for skipping %check? Does upstream provide a test suite? If so, it would be nice to run it.

[1] https://fedoraproject.org/wiki/Packaging:Ruby#RubyGems
[2] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
[3] https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[!]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-font-awesome-sass-rails-3.0.2.2-1.fc25.noarch.rpm
          rubygem-font-awesome-sass-rails-doc-3.0.2.2-1.fc25.noarch.rpm
          rubygem-font-awesome-sass-rails-3.0.2.2-1.fc25.src.rpm
rubygem-font-awesome-sass-rails.noarch: E: useless-provides rubygem(font-awesome-sass-rails)
rubygem-font-awesome-sass-rails.noarch: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-font-awesome-sass-rails.noarch: E: useless-provides rubygem(font-awesome-sass-rails)
rubygem-font-awesome-sass-rails.noarch: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

Source checksums
----------------
https://rubygems.org/gems/font-awesome-sass-rails-3.0.2.2.gem :
  CHECKSUM(SHA256) this package     : fb01bd0453c2522fa840a402c268edc457983c2d42702e66ec6e4314cfaa434e
  CHECKSUM(SHA256) upstream package : fb01bd0453c2522fa840a402c268edc457983c2d42702e66ec6e4314cfaa434e

Note You need to log in before you can comment on or make changes to this bug.